%{?nodejs_find_provides_and_requires}

%global packagename globby
%global enable_tests 1

Name:		nodejs-globby
Version:	4.0.0
Release:	2%{?dist}
Summary:	Extends `glob` with support for multiple patterns and exposes a Promise API

License:	MIT
URL:		https://github.com/sindresorhus/globby
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/globby/v%{version}/test.js

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(array-union)
BuildRequires:	npm(arrify)
BuildRequires:	npm(glob)
BuildRequires:	npm(object-assign)
BuildRequires:	npm(pify)
BuildRequires:	npm(pinkie-promise)
%endif

%description
Extends `glob` with support for multiple patterns and exposes a Promise API


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 08 2016 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-2
- Remove test.js from package
- Don't include the license separately, as it was already in the npm tarball

* Wed Feb  3 2016 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-1
- Initial packaging
